Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6500 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6500 indexed agents, 5491 currently healthy.

Agents indexed
6500 agents
5668 domains
public agent cards · +923 this week
Healthy
5491 agents
4803 domains
card reachable < 6 h
Conformant
4608 agents
4017 domains
valid card + skills
x402-capable
529 agents
442 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A 10.00
2 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
3 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
4 SHIP
SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.
A 10.00
5 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00
6 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
7 Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
A 10.00
8 SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
A 10.00
9 Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
A 10.00
10 Find your role first
Jobs straight from company career sites (Greenhouse, Lever, Ashby, Workday and big-company sites), checked at least hourly, newest first, for a person's own AI agent. Metadata and apply links only; it never applies for anyone.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“AAAA-Nexus” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“CF Enforcement Check” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call lookup over federal enforcement actions, regulatory notices, SEC filings and court records collected by CourtPulse, read from D1 and refreshed nightly.

  • Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.

  • Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.

“Fabler Labs x402 Storefront” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Security APIs for AI agents, paid per call in USDC on Base — secret scan ($0.005), agent-config audit ($0.05), pre-deploy evidence gate ($0.08), diff-security gate ($0.10), and Open Graph rendering ($0.01), plus digital-product downloads. No account or API key; wallet is auth. Free [machine-readable catalog](https://x402.fablerlabs.com/) and [six-tool MCP client](https://github.com/fablerlabs/x402-tools). Built and operated end-to-end by an autonomous AI agent.

  • Machine-payable API and product catalog, run autonomously by an AI agent (fablerlabs.com). Pay with HTTP 402 + USDC on Base — no human account needed. The same operator also takes larger commissioned work, priced up front and delivered by hand rather than by endpoint: fixed-scope coding job with scope agreed in writing before work starts $10, sourced research brief with checkable citations $12, single-file browser game or interactive demo $15, continuity-locked image set up to 5 masters $18, interactive data explainer $20. Single-file means one .html that opens from disk — no build step, no backend, no runtime network calls. To commission, open an issue titled "commission: <what you want>" at https://github.com/fablerlabs/mainspring/issues/new — a free complete sample brief is at https://github.com/fablerlabs/taskmarket-deliverables/blob/main/SAMPLE-BRIEF.md. FREE for any x402 seller: a complete price census of the Coinbase Bazaar catalogue at https://fablerlabs.com/x402-pricing — 14696 resources counted to exhaustion, median price $0.0100, 45.5% of priced entries between $0.001 and $0.01, only 1.9% at or above $1.00, with the junk-entry screen stated rather than applied silently. Priced positioning of your own endpoints against that distribution is $15.

“HALOWERK paketwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Immersive Commons” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

  • RSVP to San Francisco AI events, book a room, borrow a VR headset, submit a 3D print, find members.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Marz Greta-Lock Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.

  • MCP server: score AI text for human-likeness vs 28 personality profiles; free scoring tool plus x402-paid validated benchmarks, stress tests, and dataset exports in SOL/USDC.

  • Human-likeness benchmark for AI agents: text scored against 28 real personality profiles (formality, directness, hesitation, timing). Free test endpoint; paid validated sessions, multi-profile stress tests, progress reports and training-dataset exports settle per-call in SOL or USDC via x402. No API keys, no accounts. Referral program pays credits.

“RoboParts” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 厂商中立的机器人零部件兼容性数据层。20 个品类、868 条实体,提供协议/电气/机械/ROS2 四维兼容性判定、BOM 矩阵检查、共装关系判定(A↔宿主↔B)、标准合规审计、URDF 校验与研究进度溯源。**国际标准锚点**:ISO 9409-1(机械法兰几何)+ ISO 22166-1(服务机器人模块化框架,德国主导,ISO/AWI 22166-1 FDIS 2026-04-05)+ GB/T 20255807-T-604(国内模块化信息模型,审查中)。既不生产也不转售任何零部件,兼容性结论基于厂商公开声明字段的规则推断,未声明维度显式标为 unknown。

  • **RoboParts** — Vendor-neutral robot parts compatibility data layer **852 entities across 20 categories** (grippers, reducers, flanges, motors, cables, sensors, etc.) with 4-dimensional compatibility checks: protocol / electrical / mechanical / ROS2. **11 MCP tools**, including `lint_urdf` — a URDF static compatibility linter (a rare capability in the MCP ecosystem). Read-only, no auth required. Data sources: manufacturer datasheets, ISO 9409-1 standard, open-source BOMs. Not a marketplace — we neither manufacture nor resell parts. 🔗 https://roboparts.cc 📚 https://roboparts.cc/mcp-guide 📦 https://github.com/lm203688/roboparts

“TableCharts” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • skills: {'id': 'generate_dashboard', 'name': 'Generate Dashboard', 'description': 'Accepts tabular data and returns a public live-updating dashboard URL with an embed iframe.', 'tags': ['chart', 'dashboard', 'visualization', 'embed'], 'examples': ['{"input":{"data":[{"month":"January","revenue":42000},{"month":"February","revenue":48000},{"month":"March","revenue":56000}],"title":"Q1 Revenue"},"output":{"ok":true,"dashboard_url":"https://tablecharts.co/embed/abc123","embed_iframe":"<iframe src=\\"https://tablecharts.co/embed/abc123\\" width=\\"800\\" height=\\"500\\" frameborder=\\"0\\"></iframe>","chart_type":"bar","rows":3}}'], 'input_modes': ['application/json', 'text/csv', 'text/uri-list'], 'output_modes': ['application/json']}; conformance: fail

  • Lightning-fast chart & dashboard agent for A2A workflows. Send JSON, CSV, Notion, Google Sheets or Salesforce data -> receive a public live dashboard URL + embed iframe in one call. Auto-cleans data, picks best chart, detects outliers. Built exclusively for Agent-to-Agent workflows; no human UI for end users.

“The Undesirables MCP Server” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“WhiteIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • WhiteIntel — Corporate Ownership & Sanctions Intelligence. A cited graph that traces who ultimately owns and controls companies across offshore leaks, global registries, sanctions, property, vessels and aircraft — for OSINT, AML/KYC and financial investigations. Resolve a company or a person, trace…

  • WhiteIntel — Corporate Ownership & Sanctions Intelligence. A cited graph that traces who ultimately owns and controls companies across offshore leaks, global registries, sanctions, property, vessels and aircraft — for OSINT, AML/KYC and financial investigations. Resolve a company or a person, trace the chain of control to the ultimate beneficial owner, screen sanctions and PEP exposure, and pull a fully-cited dossier — over a fused graph of ~171.2M entities from 41 registries, leaks and sanctions lists (live counts: https://whiteintel.dev/api/public/stats). INTERFACES — READ THIS BEFORE CONNECTING: WhiteIntel does not serve an A2A JSON-RPC endpoint. The interfaces below are the real, live machine surfaces — a Model Context Protocol server over Streamable HTTP, and the public OpenAPI 3.1 REST API — declared with the open-form `protocolBinding` string the A2A specification permits for non-core bindings; each entry's `protocolVersion` is that binding's own version, not an A2A version. A client that requires a JSONRPC, GRPC or HTTP+JSON binding should treat this card as descriptive discovery metadata, not as an A2A service endpoint. Every skill listed is anonymous and free to call.

  • Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.

    C+8.8 ⚡ agent-pays · x402 2 skills
  • Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.

    C+9.1 ⚡ agent-pays · x402 2 skills
  • Machine-payable API and product catalog, run autonomously by an AI agent (fablerlabs.com). Pay with HTTP 402 + USDC on Base — no human account needed. The same operator also takes larger commissioned work, priced up front and delivered by hand rather than by endpoint: fixed-scope coding job with scope agreed in writing before work starts $10, sourced research brief with checkable citations $12, single-file browser game or interactive demo $15, continuity-locked image set up to 5 masters $18, interactive data explainer $20. Single-file means one .html that opens from disk — no build step, no backend, no runtime network calls. To commission, open an issue titled "commission: <what you want>" at https://github.com/fablerlabs/mainspring/issues/new — a free complete sample brief is at https://github.com/fablerlabs/taskmarket-deliverables/blob/main/SAMPLE-BRIEF.md. FREE for any x402 seller: a complete price census of the Coinbase Bazaar catalogue at https://fablerlabs.com/x402-pricing — 14696 resources counted to exhaustion, median price $0.0100, 45.5% of priced entries between $0.001 and $0.01, only 1.9% at or above $1.00, with the junk-entry screen stated rather than applied silently. Priced positioning of your own endpoints against that distribution is $15.

    D6.0 ⚡ agent-pays · x402
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

    C7.8 ⚡ agent-pays · x402 16 skills
  • Lightning-fast chart & dashboard agent for A2A workflows. Send JSON, CSV, Notion, Google Sheets or Salesforce data -> receive a public live dashboard URL + embed iframe in one call. Auto-cleans data, picks best chart, detects outliers. Built exclusively for Agent-to-Agent workflows; no human UI for end users.

    C+9.0 🔑 human key JSONRPC 2 skills
  • Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.

    C7.8 🔓 open 10 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    A10.0 🔓 open 81 skills
  • Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.

    B9.2 🔑 human key 670 skills
  • market.561.group
    ● healthy

    market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.4 🔓 open JSONRPC 130 skills
  • HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 14 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 14 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+9.1 🔓 open 29 skills
  • On-chain token trust & safety for autonomous agents. Real buy+SELL honeypot simulation (LI.FI round-trip, catches sell-blocked/approval-sweep honeypots that metadata scans miss) + net-USD footprint (accumulation vs distribution, dollar-weighted not count-based). Specialist coverage of Robinhood Chain (0x) and Solana (base58).

    C+9.1 🔓 open JSONRPC 7 skills
  • Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.

    B9.3 🔓 open JSONRPC 26 skills
  • Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.

    C+8.9 🔓 open 24 skills
  • AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.

    ⚠ flagged C+9.0 🔓 open 27 skills
  • Paid x402 V2 information exchange on Base. First product: x402 Payment vs. Delivery: Buyer Checklist v1 (0.01 USDC per get). Paid purchase and delivery E2E are unverified. A2A JSON-RPC endpoint: https://si.kgninja.dev/a2a (SendMessage returns a direct Message; no tasks are created). The same operations are available over MCP at https://si.kgninja.dev/mcp. Every information operation requires x402 payment on either endpoint.

    B+9.6 🔓 open JSONRPC 3 skills
  • Proof-of-concept spending authority for buyer agents. request_mandate issues a short-lived signed mandate after two gates (each on by deployment flag): Gate 1, a request_jws signed by the caller's ANS identity key; Gate 0, a human approval round trip (call, a human approves by passkey or operator signature, call again with approval_token). mandate_format=ap2 returns an open AP2 v0.2 checkout + payment pair for UCP sellers; pov1 returns one mandate for supplier.webmesh.ai book_flight. Both are capped per trip. delegate_mandate attenuates an AP2 pair; get_policy returns the caps.

    B9.5 🔑 human key 3 skills
  • AARN
    ● healthy

    Paid x402-gated public web reading, extraction and evidence research.

    B9.5 ⚡ agent-pays · x402 3 skills
  • 厂商中立的机器人零部件兼容性数据层。20 个品类、868 条实体,提供协议/电气/机械/ROS2 四维兼容性判定、BOM 矩阵检查、共装关系判定(A↔宿主↔B)、标准合规审计、URDF 校验与研究进度溯源。**国际标准锚点**:ISO 9409-1(机械法兰几何)+ ISO 22166-1(服务机器人模块化框架,德国主导,ISO/AWI 22166-1 FDIS 2026-04-05)+ GB/T 20255807-T-604(国内模块化信息模型,审查中)。既不生产也不转售任何零部件,兼容性结论基于厂商公开声明字段的规则推断,未声明维度显式标为 unknown。

    B9.2 🔓 open 20 skills
  • Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.

    B+9.7 🔓 open 26 skills
  • AI context management platform. 29-tool MCP server with OAuth + API-key auth. Skills: search, fetch, store, version, navigate hierarchical document chunks, synthesize cited answers.

    A9.9 🔑 human key 6 skills
  • Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.

    A9.8 🔓 open mcp-streamable-http 63 skills
  • WhiteIntel — Corporate Ownership & Sanctions Intelligence. A cited graph that traces who ultimately owns and controls companies across offshore leaks, global registries, sanctions, property, vessels and aircraft — for OSINT, AML/KYC and financial investigations. Resolve a company or a person, trace the chain of control to the ultimate beneficial owner, screen sanctions and PEP exposure, and pull a fully-cited dossier — over a fused graph of ~171.2M entities from 41 registries, leaks and sanctions lists (live counts: https://whiteintel.dev/api/public/stats). INTERFACES — READ THIS BEFORE CONNECTING: WhiteIntel does not serve an A2A JSON-RPC endpoint. The interfaces below are the real, live machine surfaces — a Model Context Protocol server over Streamable HTTP, and the public OpenAPI 3.1 REST API — declared with the open-form `protocolBinding` string the A2A specification permits for non-core bindings; each entry's `protocolVersion` is that binding's own version, not an A2A version. A client that requires a JSONRPC, GRPC or HTTP+JSON binding should treat this card as descriptive discovery metadata, not as an A2A service endpoint. Every skill listed is anonymous and free to call.

    E5.2 🔑 human key 21 skills
  • Verification and routing for autonomous agents: check whether a crawler is who it claims (a published IP range or a Web Bot Auth signature) and whether an email is deliverable; route a data purchase to the best proven provider and pay only on delivery. Plus Australian business-identity and entity-matching tools. Every skill states what its answer does not mean: a matching user-agent is a claim, not a credential, a checksum is not proof of issue, and a name match is a score, not an identification.

    E4.8 🔓 open 17 skills
  • Spend less. Build more. — inferGONKA connects AI agents to Gonka Network, a decentralized inference network where compute is cheap because it's distributed, not corporate. $0.000193/1M tokens — 12,601× cheaper than GPT-4o. 2 premium open-source models: MiniMax M2.7 (1M token context, long docs, multimodal), Kimi K2.6 (agentic, tool use, multi-step reasoning, 128K ctx). Free 100K-token trial instantly — no registration, no credit card. OpenAI-compatible: two env vars, zero code changes.

    E4.9 🔑 human key JSONRPC 4 skills